# Created by pyp2rpm-1.0.1
%global pypi_name stsci.sphinxext
%define version 1.2.1

Name:           python-stsci-sphinxext
Version:        %{version}
Release:        %mkrel 4
Group:          Sciences/Astronomy
Summary:        A set of tools and templates to customize Sphinx for use in STScI projects

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-d2to1 >= 0.2.9
BuildRequires:  python-setuptools
BuildRequires:  python-stsci-distutils >= 0.3.2
Requires:  python-numpydoc
Requires:  python-matplotlib
Requires:  python-sphinxcontrib-programoutput
Requires:  python-six
Obsoletes: python-stsci <= 2.13-3.mga4



%description
This project contains extensions to Sphinx to build documentation from
STScI.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc LICENSE_enumitem
%{python_sitelib}/stsci/sphinxext
%{python_sitelib}/%{pypi_name}-%{version}-py?.?-*.pth
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-4.mga4
+ Revision: 544405
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.1-3.mga4
+ Revision: 499502
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 joequant <joequant> 1.2.1-2.mga4
+ Revision: 477686
- fix requires

* Tue Sep 10 2013 joequant <joequant> 1.2.1-1.mga4
+ Revision: 477158
- add setuptools build requires
- imported package python-stsci-sphinxext

